packages/google-chrome branch updated. 81efd66cbb35c2b828c30ffe259a128be7383219

draenog draenog at pld-linux.org
Tue Jul 3 14:07:42 CEST 2012


The branch, master has been updated
       via  81efd66cbb35c2b828c30ffe259a128be7383219 (commit)
       via  e2c2e846ef6e03accd7c201fcd19ba2b97a38da7 (commit)
       via  48f5d819d3aa3f12e079b80d59b2708a6a47fe12 (commit)
      from  e5492c1ca33fa5282ce378965e29c7525df0fc9f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 81efd66cbb35c2b828c30ffe259a128be7383219
Author: Arkadiusz Miśkiewicz <arekm at maven.pl>
Date:   Tue Jul 3 10:29:53 2012 +0000

    Yell about unknown branches.
    
    Changed files:
        update-source.sh -> 1.7

diff --git a/update-source.sh b/update-source.sh
index a092dc3..0d96d68 100644
--- a/update-source.sh
+++ b/update-source.sh
@@ -3,6 +3,16 @@
 arch=x86_64
 # branch: stable, beta, unstable. default: stable
 branch=${1:-stable}
+
+case "${branch}" in
+	stable|beta|unstable)
+		;;
+	*)
+		echo "$0: Unknown branch: $branch. Supported branches: stable, beta, unstable." >&2
+		exit 1
+		;;
+esac
+
 sourceurl=http://dl.google.com/linux/chrome/rpm/stable/$arch/
 
 set -e

commit e2c2e846ef6e03accd7c201fcd19ba2b97a38da7
Author: Elan Ruusamäe <glen at pld-linux.org>
Date:   Tue Jul 3 10:15:44 2012 +0000

    - few comments
    
    Changed files:
        update-source.sh -> 1.6

diff --git a/update-source.sh b/update-source.sh
index ceb9b40..a092dc3 100644
--- a/update-source.sh
+++ b/update-source.sh
@@ -1,5 +1,7 @@
 #!/bin/sh
+# arch to check package. irrelevant for actual arch
 arch=x86_64
+# branch: stable, beta, unstable. default: stable
 branch=${1:-stable}
 sourceurl=http://dl.google.com/linux/chrome/rpm/stable/$arch/
 

commit 48f5d819d3aa3f12e079b80d59b2708a6a47fe12
Author: Elan Ruusamäe <glen at pld-linux.org>
Date:   Tue Jul 3 10:14:57 2012 +0000

    - fix fetching other branches (same repo, just different package names)
    
    Changed files:
        update-source.sh -> 1.5

diff --git a/update-source.sh b/update-source.sh
index d983e4f..ceb9b40 100644
--- a/update-source.sh
+++ b/update-source.sh
@@ -1,7 +1,8 @@
 #!/bin/sh
 arch=x86_64
 branch=${1:-stable}
-sourceurl=http://dl.google.com/linux/chrome/rpm/$branch/$arch/
+sourceurl=http://dl.google.com/linux/chrome/rpm/stable/$arch/
+
 set -e
 
 echo -n "Fetching latest version... "

-----------------------------------------------------------------------

Summary of changes:
 update-source.sh | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)


hooks/post-receive
-- 
packages/google-chrome


More information about the test mailing list